Summary:	Native MacOS emulator
Name:		mol
Version:	0.9.68
Release:	5mdk
License:	GPL
Group:		Emulators

Source:		ftp://ftp.nada.kth.se/home/f95-sry/Public/mac-on-linux/mol-%version.tar.bz2
Source1: 	mol_16.png
Source2: 	mol_32.png
Source3: 	mol_48.png

URL:		http://www.maconlinux.com/
BuildRoot:	%_tmppath/%name-%version-root
Requires: 	mol-kernel-modules
ExclusiveArch:	ppc

%description

With MOL you can run MacOS under Linux - in full speed!
All PowerPC versions of MacOS are supported, including OS/X.

%prep

%setup -q

#change default molrc to safest mode - no blkdev's define automagically
# (sb) disable for the moment - new rc layout
#perl -pi -e 's|blkdev: |#blkdev: |g' Doc/molrc.sample

#change default molrc.video to disable console mode for autmoagic setup
perl -pi -e 's|enable_console_video:\tyes|enable_console_video:\tno|g' Doc/config/molrc.video

%build
./configure \
        --prefix=/usr \
        --exec-prefix=/usr \
        --bindir=/usr/bin \
        --sbindir=/usr/sbin \
        --sysconfdir=/etc \
        --datadir=/usr/share \
        --includedir=/usr/include \
        --libdir=/usr/lib \
        --libexecdir=/usr/lib \
        --localstatedir=/var/lib \
        --sharedstatedir=/usr/com \
        --mandir=/usr/share/man \
        --infodir=/usr/share/info \
	--enable-fhs

make clean

%make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mv -f $RPM_BUILD_ROOT/usr/share/doc/mol-%{version} $RPM_BUILD_ROOT/moldoc

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/startmol" \
needs="x11" section="Applications/Emulators" title="MOL" \
longtitle="MOL - Mac On Linux" icon="%{name}.png"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}OSX
?package(%{name}):command="%{_bindir}/startmol -X" \
needs="x11" section="Applications/Emulators" title="MOL - OSX" \
longtitle="MOL - Mac On Linux" icon="%{name}.png"
EOF

mkdir -p  $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# unpackaged files
rm -fr $RPM_BUILD_ROOT/%{_libdir}/%{name}/%{version}/modules/*

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%define _mol_libdir             %{_libdir}/mol/%{version}
%define _mol_datadir            %{_datadir}/mol/%{version}
%define _mol_localstatedir      /var/lib/mol

%files
%defattr(-,root,root)
%doc $RPM_BUILD_ROOT/moldoc
%config %_sysconfdir/mol/session.map
%config %_sysconfdir/mol/tunconfig
%config %_sysconfdir/mol/dhcpd-mol.conf
%config %_sysconfdir/mol/molrc.input
%config %_sysconfdir/mol/molrc.linux
%config %_sysconfdir/mol/molrc.macos
%config %_sysconfdir/mol/molrc.video
%config %_sysconfdir/mol/molrc.net
%config %_sysconfdir/mol/molrc.ow
%config %_sysconfdir/mol/molrc.osx
%config %_sysconfdir/mol/yaboot.conf

%_mol_localstatedir/nvram.nw

%_mandir/man?/*

%_bindir/startmol
%_bindir/molvconfig
%_bindir/moldeb
%_bindir/molrcget

%_mol_libdir/bin
%dir %_mol_libdir/modules
%_mol_libdir/mol.symbols

%_mol_datadir/images
%_mol_datadir/oftrees
%_mol_datadir/drivers
%_mol_datadir/syms
%_mol_datadir/vmodes
%_mol_datadir/nvram
%_mol_datadir/graphics
%_mol_datadir/startboing

%dir %_mol_datadir/config
%_mol_datadir/config/molrc.sys
%_mol_datadir/config/molrc.post

%dir %_mol_localstatedir

%{_menudir}/mol
%{_menudir}/molOSX
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Thu Mar 27 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.68-5mdk
- menu entry for OS/X

* Wed Mar 26 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.68-4mdk
- don't use %%configure macro - fix OS/X keyboard repeat issue

* Mon Mar 17 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.68-3mdk
- disable console mode for default install
- add menu entry

* Tue Mar 11 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.68-2mdk
- fix file attributes

* Mon Mar 10 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.68-1mdk
- new release

* Sat Dec 28 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.66-1mdk
- new release

* Tue Oct 29 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.65-1mdk
- new release, patch for expand_stack (thx Samuel)  (patch0)

* Thu Mar 28 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.60-5mdk
- fix build with latest headers

* Tue Jan  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.60-4mdk
- add BenH patch to fix altivec/G4 mode

* Mon Nov 12 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.60-3mdk
- make clear in description that OS/X is not supported

* Thu Nov  1 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.60-2mdk
- new version for cooker, cleanup .spec, modify default molrc for safe mode
- kernel modules now built in mol-kmods package

* Wed Aug 15 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.60-1mdk
- new version courtesy of Samuel Rydh <samuel@ibrium.se>

* Mon Aug 13 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.8.58.1.1mdk
- build against 2.4.4-6.2mdk kernel

* Mon May 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.58-1mdk
- 0.9.58

* Wed Apr 18 2001 David BAUDENS <baudens@mandrakesoft.Com> 0.9.57-1mdk
- 0.9.57

* Tue Oct 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.53-2_1mdk
- O.9.53-2

* Thu Oct 26 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.52-1mdk
- 0.9.52

* Mon Oct 23 2000 David BAUDENS <baudens@mandrakesoft.con> 0.9.51-1mdk
- 0.9.51

* Fri Oct 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.50-1mdk
- First spec for Linux-Mandrake distribution
